OCF_HEARTBEAT_RSYSLO(7)

NAME
ocf_heartbeat_rsyslog - rsyslog resource agent

SYNOPSIS

rsyslog [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

This script manages a rsyslog instance as an HA resource.

SUPPORTED PARAMETERS

configfile
    This parameter specifies a configuration file for a rsyslog instance managed by this RA.

    (unique, required, string, no default)

rsyslog_binary
    This parameter specifies rsyslog's executable file.

    (optional, string, default "/sbin/rsyslogd")

start_opts
    This parameter specifies startup options for a rsyslog instance managed by this RA. When no value is given, no startup options is used. Don't use option '-F'. It causes a stuck of a start action.

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 60s.

status
    Performs a status check. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 20s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a rsyslog resource using the crm(8) shell:

    primitive p_rsyslog ocf:heartbeat:rsyslog \
      params \
        configfile=string \
      op monitor depth="0" timeout="20s" interval="20s"

EXAMPLE PCS

The following is an example configuration for a rsyslog resource using pcs(8)

    pcs resource create p_rsyslog ocf:heartbeat:rsyslog \
      configfile=string \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="20s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)